Subject: Re: Byte order in sound drivers

From: Giuliano Pochini <[email-masked]>
Date: Sun, 09 Dec 2001 19:00:36 +0100

> >It depends on the HW you have. Most recent machines don't do HW
> >byteswap, and so accept only big-endian samples. The way this is
> >implemented in our driver currently is a bit weird though, the
> >setformat ioctl won't fail when trying to set an LE format, but
> >it will set the equivalent BE format. So the application is
> >expected to read back the format to figure out what had to be
> >done.

Same thing with some SoundBlasters. That's why there is a mess with
audio andianess.

Bye.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/